/* 重置所有元素的外边距和内边距，设置边框模型 */
* {
    margin: 0; /* 设置外边距为0 */
    padding: 0; /* 设置内边距为0 */
    box-sizing: border-box; /* 设置边框模型为border-box */
}

/* 设置body的样式 */
body{
    font-family: 'Poppins', sans-serif; /* 设置字体 */
    width: 100%;
    height: 100vh;
    background: #ffffff; /* 背景颜色 */
    display: grid;
    place-items: center; /* 水平和垂直居中 */
}

/* 设置header的样式 */
header{
    position: relative;
    width: 85%;
    height: 95%;
    /* border: 1px solid #fff; */ /* 边框 */
    display: flex;
    flex-wrap: wrap; /* 自动换行 */
    overflow: hidden;
}

/* 设置menu_side和song_side的通用样式 */
header .menu_side, 
.song_side{
    width: 25%;
    height: 90%;
    /* border: 1px solid #fff; */ /* 边框 */
    background: #fbcdcd;  /* 背景颜色 */

    
    /* box-shadow: 5px 0px 2px #090f1f; */ /* 阴影 */
    color: #ffffff; /* 文字颜色 */
}

/* 设置song_side的专有样式 */
header .song_side{
    width: 75%; /* 宽度 */
    background: rgba(193, 242, 223, 0.15) /* 背景颜色 */
}

/* 设置master_play的样式 */
header .master_play{
    width: 100%;
    height: 10%;
    /* border: 1px solid #fff; */ /* 边框 */
    box-shadow: 0px 3px 8px #090f1f; /* 阴影 */
}

/* 设置menu_side中的h1标签的样式 */
header .menu_side h1{
    font-size: 20px; /* 字体大小 */
    margin: 15px 0px 0px 20px; /* 外边距 */
    font-weight: 500; /* 字体粗细 */
}

/* 设置playlist的样式 */
header .menu_side .playlist{
    margin: 40px 0px 0px 20px; /* 外边距 */
}

/* 设置playlist中的h4标签的样式 */
header .menu_side .playlist h4{
    font-size: 14px; /* 字体大小 */
    font-weight: 400; /* 字体粗细 */
    padding-bottom: 10px; /* 内边距底部 */
    color: #4c5262; /* 文字颜色 */
    cursor: pointer; /* 鼠标指针样式 */
    display: flex;
    align-items: center; /* 垂直居中 */
    transition: .3s linear; /* 过渡效果 */
}

/* 设置playlist中的h4标签的悬停样式 */
header .menu_side .playlist h4:hover{
    color: #fff; /* 文字颜色 */
}

/* 设置playlist中的h4标签中的span标签的样式 */
header .menu_side .playlist h4 span{
    position: relative; /* 相对定位 */
    margin-right: 35px; /* 右外边距 */
}

/* 设置playlist中的h4标签中的span标签的伪元素before的样式 */
header .menu_side .playlist h4 span::before{
    content: ''; /* 内容为空 */
    position: absolute; /* 绝对定位 */
    width: 4px; /* 宽度 */
    height: 4px; /* 高度 */
    border: 2px solid #4c5262; /* 边框 */
    border-radius: 50%; /* 圆角 */
    top:-4px; /* 顶部位置 */
    transition: .3s linear; /* 过渡效果 */
}

/* 设置playlist中的h4标签悬停时span标签的伪元素before的样式 */
header .menu_side .playlist h4:hover span::before{
    border: 2px solid #fff; /* 边框 */
}

/* 隐藏playlist中的h4标签中的bi图标 */
header .menu_side .playlist h4 .bi{
    display: none; /* 隐藏 */
}

/* 设置playlist中的active类的样式 */
header .menu_side .playlist .active{
    color: #36e2ec; /* 文字颜色 */
}

/* 隐藏playlist中的active类中的span标签 */
header .menu_side .playlist .active span{
    display: none; /* 隐藏 */
}

/* 显示playlist中的active类中的bi图标 */
header .menu_side .playlist .active .bi{
    display: flex; /* 显示 */
    margin-right: 20px; /* 右外边距 */
}

/* 设置menu_song的样式 */
header .menu_side .menu_song{
    width: 100%;
    height: 420px; /* 高度 */
    /* border: 1px solid #fff; */ /* 边框 */
    margin-top: 40px; /* 顶部外边距 */
    overflow: auto; /* 滚动 */
}

/* 隐藏menu_song中的滚动条 */
header .menu_side .menu_song::-webkit-scrollbar{
    display: none; /* 隐藏 */
}

/* 设置menu_song中的li标签的样式 */
header .menu_side .menu_song li{
    list-style-type: none; /* 列表样式 */
    position: relative; /* 相对定位 */
    padding: 5px 0px 5px 20px; /* 内边距 */
    display: flex;
    align-items: center; /* 垂直居中 */
    margin-bottom: 10px; /* 底部外边距 */
    cursor: pointer; /* 鼠标指针样式 */
    transition: .3s linear; /* 过渡效果 */
    
}

/* 设置menu_song中的li标签悬停时的样式 */
header .menu_side .menu_song li:hover{
    background: rgb(105, 105, 105,.1); /* 背景颜色 */
}

/* 设置menu_song中的li标签中的span标签的样式 */
header .menu_side .menu_song li span{
    font-size: 12px; /* 字体大小 */
    font-weight: 600; /* 字体粗细 */
    color: #4c5262; /* 文字颜色 */
}

/* 设置menu_song中的li标签中的img标签的样式 */
header .menu_side .menu_song li img{
    width: 32px; /* 宽度 */
    height: 32px; /* 高度 */
    margin-left: 25px; /* 左外边距 */
}

/* 设置menu_song中的li标签中的h5标签的样式 */
header .menu_side .menu_song li h5{
    font-size: 11px; /* 字体大小 */
    margin-left: 15px; /* 左外边距 */
    width: 170px; /* 宽度 */
    /* border: 1px solid #fff; */ /* 边框 */
    overflow: hidden; /* 溢出隐藏 */
    text-overflow: ellipsis; /* 文本溢出省略号 */
    white-space: nowrap; /* 不换行 */
    color: #000000;
}

/* 设置menu_song中的li标签中的h5标签中的subtitle类的样式 */
header .menu_side .menu_song li h5 .subtitle{
    font-size: 9px; /* 字体大小 */
    color: #4c5262; /* 文字颜色 */
}

/* 设置menu_song中的li标签中的bi图标的样式 */
header .menu_side .menu_song li .bi{
    position: absolute; /* 绝对定位 */
    right: 15px; /* 右位置 */
}

/* 设置master_play中的样式 */
header .master_play{
    display: flex;
    align-items: center; /* 垂直居中 */
    padding: 0px 20px; /* 内边距 */

    
}

/* 设置master_play中的wave的样式 */
header .master_play .wave{
    width: 30px; /* 宽度 */
    height: 30px; /* 高度 */
    /* border: 1px solid #fff; */ /* 边框 */
    padding-bottom: 5px; /* 底部内边距 */
    display: flex;
    align-items: flex-end; /* 垂直对齐到底部 */
    margin-right: 10px; /* 右外边距 */
}

/* 设置wave中的wave1类的样式 */
header .master_play .wave .wave1{
    width: 3px; /* 宽度 */
    height: 10px; /* 高度 */
    background: #36e2ec; /* 背景颜色 */
    margin-right: 3px; /* 右外边距 */
    border-radius: 10px 10px 0px 0px; /* 圆角 */
    animation: unset; /* 动画 */
}

/* 设置wave1中的第二个子元素的样式 */
header .master_play .wave1:nth-child(2){
    height: 13px; /* 高度 */
    margin-right: 3.5px; /* 右外边距 */
    animation-delay: .4s; /* 动画延迟 */
}

/* 设置wave1中的第三个子元素的样式 */
header .master_play .wave1:nth-child(3){
    height: 8px; /* 高度 */
    animation-delay: .8s; /* 动画延迟 */
}

/* 设置active1类中的wave1的样式 */
header .master_play .active1 .wave1{
    animation: wave .5s linear infinite; /* 动画 */
}

/* 设置active1类中的wave1的第二个子元素的样式 */
header .master_play .active1 .wave1:nth-child(2){
    animation-delay: .4s; /* 动画延迟 */
}

/* 设置active1类中的wave1的第三个子元素的样式 */
header .master_play .active1 .wave1:nth-child(3){
    animation-delay: .8s; /* 动画延迟 */
}

/* 定义wave动画 */
@keyframes wave{
    0%{
        height: 10px; /* 高度 */
    }
    50%{
        height: 15px; /* 高度 */
    }
    100%{
        height: 10px; /* 高度 */
    }
}

/* 设置master_play中的img标签的样式 */
header .master_play img{
    width: 35px; /* 宽度 */
    height: 35px; /* 高度 */
}

/* 设置master_play中的h5标签的样式 */
header .master_play h5{
    width: 100px; /* 宽度 */
    /* border: 1px solid #fff; */ /* 边框 */
    margin-left: 15px; /* 左外边距 */
    color: #000000; /* 文字颜色 */
    line-height: 17px; /* 行高 */
    overflow: hidden; /* 溢出隐藏 */
    text-overflow: ellipsis; /* 文本溢出省略号 */
    white-space: nowrap; /* 不换行 */
    font-size: 13px; /* 字体大小 */
}

/* 设置master_play中的h5标签中的subtitle类的样式 */
header .master_play h5 .subtitle{
    font-size: 10px; /* 字体大小 */
    color: #4c5262; /* 文字颜色 */
    width: 100%; /* 宽度 */
    overflow: hidden; /* 溢出隐藏 */
    text-overflow: ellipsis; /* 文本溢出省略号 */
    white-space: nowrap; /* 不换行 */
}

/* 设置master_play中的h5标签中的icon类的样式 */
header .master_play .icon{
    font-size: 20px; /* 字体大小 */
    color: #000000; /* 文字颜色 */
    margin: 0px 20px 0px 40px; /* 外边距 */
    outline: none; /* 无外边距 */
    display: flex;
    align-items: center; /* 垂直居中 */
}

/* 设置icon类中的bi图标的样式 */
header .master_play .icon .bi{
    cursor: pointer; /* 鼠标指针样式 */
    outline: none; /* 无外边距 */
}

/* 设置icon类中的shuffle类的样式 */
header .master_play  .icon .shuffle{
    font-size: 17px; /* 字体大小 */
    margin-right: 10px; /* 右外边距 */
    width: 17.5px; /* 宽度 */
    overflow: hidden; /* 溢出隐藏 */
    display: flex;
    align-items: center; /* 垂直居中 */
}

/* 设置icon类中的download_music的样式 */
header .master_play .icon #download_music{
    font-size: 20px; /* 字体大小 */
    margin-left: 10px; /* 左外边距 */
}
header .master_play .icon #back{
    font-size: 20px; /* 字体大小 */
    margin-right: 10px; /* 左外边距 */
}
header .master_play .icon #next{
    font-size: 20px; /* 字体大小 */
    margin-left: 10px; /* 左外边距 */
}

/* 设置bi图标中的wave1中的第三个子元素的样式 */
header .master_play .icon .bi.wave1:nth-child(3){
    border: 1p solid rgb(105, 105, 105,.1); /* 边框 */
    border-radius: 50%; /* 圆角 */
    padding: 1px 5px 0px 7px; /* 内边距 */
    margin: 0px 5px; /* 外边距 */
}

/* 设置master_play中的span标签的样式 */
header .master_play span{
    color: #090f1f; /* 文字颜色 */
    /* border: 1px solid #090f1f; */ /* 边框 */
    font-size: 11px; /* 字体大小 */
    font-weight: 400; /* 字体粗细 */
}

/* 设置master_play中的currentStart的样式 */
header .master_play #currentStart{
    margin: 0px 0px 0px 20px; /* 外边距 */
}

/* 设置master_play中的bar类的样式 */
header .master_play .bar{
    position: relative; /* 相对定位 */
    width: 43%; /* 宽度 */
    height: 2px; /* 高度 */
    background: rgb(105, 105, 170,.1); /* 背景颜色 */
    margin: 0px 15px 0px 10px; /* 外边距 */
}

/* 设置bar中的bar2类的样式 */
header .master_play .bar .bar2{
    position: absolute; /* 绝对定位 */
    background: #36e2ec; /* 背景颜色 */
    width: 0%; /* 宽度 */
    height: 100%; /* 高度 */
    top: 0; /* 顶部位置 */
    transition: 1s linear; /* 过渡效果 */
}

/* 设置bar中的dot类的样式 */
header .master_play .bar .dot{
    position: absolute; /* 绝对定位 */
    width: 5px; /* 宽度 */
    height: 5px; /* 高度 */
    background: #36e2ec; /* 背景颜色 */
    border-radius: 50%; /* 圆角 */
    left: 0%; /* 左位置 */
    top: -1.5px; /* 顶部位置 */
}

/* 设置dot类中的before伪元素的样式 */
header .master_play .bar .dot::before{
    content: ''; /* 内容为空 */
    position: absolute; /* 绝对定位 */
    width: 15px; /* 宽度 */
    height: 15px; /* 高度 */
    border: 1px solid #36e2ec; /* 边框 */
    border-radius: 50%; /* 圆角 */
    left: -6.5px; /* 左位置 */
    top: -6.5px; /* 顶部位置 */
    box-shadow: inset 0px 0px 3px #36e2ec; /* 阴影 */
}

/* 设置bar中的input标签的样式 */
header .master_play .bar input{
    position: absolute; /* 绝对定位 */
    width: 100%; /* 宽度 */
    top: -7px; /* 顶部位置 */
    left: 0; /* 左位置 */
    cursor: pointer; /* 鼠标指针样式 */
    z-index: 999999999; /* z轴顺序 */
    opacity: 0; /* 透明度 */
}

/* 设置master_play中的vol类的样式 */
header .master_play .vol{
    position: relative; /* 相对定位 */
    width: 100px; /* 宽度 */
    height: 2px; /* 高度 */
    background: rgb(105, 105, 170,.1); /* 背景颜色 */
    margin-left: 50px; /* 左外边距 */
}

/* 设置vol中的bi图标的样式 */
header .master_play .vol .bi{
    position: absolute; /* 绝对定位 */
    color: #000000; /* 文字颜色 */
    font-size: 15px; /* 字体大小 */
    top: -8px; /* 顶部位置 */
    left: -35px; /* 左位置 */
}

/* 设置vol中的input标签的样式 */
header .master_play .vol input{
    position: absolute; /* 绝对定位 */
    width: 100%; /* 宽度 */
    top: -6px; /* 顶部位置 */
    left: 0; /* 左位置 */
    cursor: pointer;
    z-index: 9999999;
    opacity: 0;
}


header .master_play .vol .vol_bar{
    position: absolute;
    background: #36e2ec;
    width: 100%;
    height: 100%;
    top: 0;
    transition: 1s linear;
}


header .master_play .vol .dot{
    position: absolute; /* 绝对定位 */
    width: 5px; /* 宽度 */
    height: 5px; /* 高度 */
    background: #36e2ec; /* 背景颜色 */
    border-radius: 50%; /* 圆角 */
    left: 100%; /* 左位置 */
    top: -1.5px; /* 顶部位置 */
    transition: 1s linear;
}

header .master_play .vol .dot::before{
    content: ''; /* 内容为空 */
    position: absolute; /* 绝对定位 */
    width: 15px; /* 宽度 */
    height: 15px; /* 高度 */
    border: 1px solid #36e2ec; /* 边框 */
    border-radius: 50%; /* 圆角 */
    left: -7px; /* 左位置 */
    top: -6.5px; /* 顶部位置 */
    box-shadow: inset 0px 0px 3px #36e2ec; /* 阴影 */
}

header .song_side{
    z-index: 2;
}

header .song_side::before {
    content: '';
    position: absolute;
    top: 0; /* 设置顶端位置 */
    left: 20; /* 设置左端位置 */
    width: 100%; /* 宽度为父元素的100% */
    height: 300px; /* 高度为300像素 */
    background: url('bg3.png') no-repeat  center center; /* 设置背景图片不重复并居中 */
    background-size: cover; /* 设置背景图片大小覆盖整个伪元素 */
    z-index: -1; /* 将伪元素置于父元素的后面 */
    transform: rotateY(180deg); /* 水平翻转 */

    
}


header .song_side nav{
        width: 90%;
        height: 10%;
        /* border: 1px solid #000000; */
        margin: auto;
        display: flex;
        align-items: center;
        justify-content: space-between;
}

header .song_side nav ul{
    display: flex;
}

header .song_side nav ul li{
    list-style: none;
    position: relative;
    font-size: 15PX;
    color: #000000;
    margin-left: 25px;
    cursor: pointer;
    transition: .3s linear;
}
header .song_side nav ul li:hover{
    color: #ffffff;
}
header .song_side nav ul li:nth-child(1){
    color: #ffffff;
}
header .song_side nav ul li span{
   position: absolute;
   width: 100%;
   height: 2.5px;
   background: #36e2ec;
   bottom: -5px;
   left: 0;
   border-radius: 20px;
}

header .song_side nav .search{
    position: relative;
    width: 40%;
    padding: 1px 10px;
    border-radius: 20px;
    border: 1px solid #000000;
    color: rgb(0, 0, 0);
 }

 header .song_side nav .search::before{
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgb(184, 184, 184,.1);
    border-radius: blur(5px);
    z-index: -1;
 }

 header .song_side nav .search .bi{
    font-size: 13px;
    padding: 3px 0px 0px 10px;

 }

 header .song_side nav .search input{
    background: none;
    border: none;
    outline: none;
    padding: 0px 10px;
    color: #000000;
    font-size: 12px;
 }

 header .song_side nav .user{
    position: relative;
    width: 30px;
    height: 30px;
    border: 1px solid #fff;
    border-radius: 50%;
 }

 header .song_side nav .user img{
    width: 100%;
    height: 100%;
    border-radius: 50%;
    box-shadow: 2px 2px 8px #121213;
 }

 header .song_side .content{
    width: 90%;
    height: 30%;
    /* border: 1px solid #000000; */
    margin: auto;
    padding-top: 20px;
 }
 
 header .song_side .content h1{
    font-size: 25px;
    font-weight: 600;

 }

 header .song_side .content p{
    font-size: 11px;
    font-weight: 400;
    margin: 5px;
    
 }


 header .song_side .content .buttons{
    margin-top: 15px;
 }
 
 header .song_side .content .buttons button{
    width: 130px;
    height: 30px;
    border: 2px solid #36e2ec;
    outline: none;
    border-radius: 20px;
    background: #5adae0;
    cursor: pointer;
    transition: .3s linear;
 }

 header .song_side .content .buttons button:hover{
    background: none;
    color: #36e2ec;
 }

 header .song_side .content .buttons button:nth-child(2){
    background: none;
    color: #36e2ec;
 }

 header .song_side .content .buttons button:nth-child(2):hover{
    background: none;
    color: #fff;
 }